### File

`packages/ecl/components/ecl-media-container/ecl-media-container.component.ts`

### Description

A media container is used to display media items (video, audio, image or other data) with a caption.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-media-container`
imports | `EUI_ECL_BUTTON` `EUI_ECL_ICON`
styles | `:host { display: block; }`
templateUrl | `./ecl-media-container.component.html`

### Index

###### Properties
eclButtons eclMediaContainerItem expandable Public isPlaying pauseButton playButton
###### Methods
onVideoPause onVideoPlay getCssClasses
###### Inputs
eclAutoplay isFullWidth class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses hasVideo

### Inputs

eclAutoplay
Type : `boolean`
Default value : `false`
Used for a video only - if the video should play immediately.

isFullWidth
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies specific classes for the component.

### Methods

onVideoPause
`onVideoPause()`
When user clicks on 'pause' button -> pause the video and move the focus to the 'play' button. Returns : `void`

onVideoPlay
`onVideoPlay()`
When user clicks on 'play' button -> start the video and move the focus to the 'pause' button. Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclButtons
Type : `QueryList<EclButtonComponent>`
Decorators : `@ViewChildren(EclButtonComponent)`

eclMediaContainerItem
Type : `EclMediaContainerItemDirective`
Decorators : `@ContentChild(EclMediaContainerItemDirective)`

expandable
Type : `EclExpandableComponent`
Decorators : `@ContentChild(EclExpandableComponent)`

Public isPlaying
Type : `unknown`
Default value : `false`

pauseButton
Type : `EclButtonComponent`
Decorators : `@ViewChild('pauseButton')`

playButton
Type : `EclButtonComponent`
Decorators : `@ViewChild('playButton')`

### Accessors

cssClasses
get `cssClasses()`
Applies specific classes for the component. Returns : `string`

hasVideo
get `hasVideo()`

# results matching ""

# No results matching ""